---
title: 'Document: pointerover event'
slug: Web/API/Document/pointerover_event
tags:
  - Document
  - Event
  - PointerEvent
  - Reference
  - Web
  - onpointerover
  - pointer
  - pointerover
---
<div>{{APIRef}}</div>

<p>The <code>pointerover</code> event is fired when a pointing device is moved into an element's hit test boundaries.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("PointerEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("GlobalEventHandlers/onpointerover", "onpointerover")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Using <code>addEventListener()</code>:</p>

<pre class="brush: js notranslate">document.addEventListener('pointerover', (event) =&gt; {
  console.log('Pointer moved in');
});</pre>

<p>Using the <code>onpointerover</code> event handler property:</p>

<pre class="brush: js notranslate">document.onpointerover = (event) =&gt; {
  console.log('Pointer moved in');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#the-pointerover-event')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#the-pointerover-event')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.pointerover_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Document/gotpointercapture_event", "gotpointercapture")}}</li>
 <li>{{domxref("Document/lostpointercapture_event", "lostpointercapture")}}</li>
 <li>{{domxref("Document/pointerenter_event", "pointerenter")}}</li>
 <li>{{domxref("Document/pointerdown_event", "pointerdown")}}</li>
 <li>{{domxref("Document/pointermove_event", "pointermove")}}</li>
 <li>{{domxref("Document/pointercancel_event", "pointercancel")}}</li>
 <li>{{domxref("Document/pointerout_event", "pointerout")}}</li>
 <li>{{domxref("Document/pointerleave_event", "pointerleave")}}</li>
 <li>{{domxref("GlobalEventHandlers/onpointerover", "onpointerover")}} event handler property</li>
 <li>This event on <code>HTMLElement</code> targets: {{domxref("HTMLElement/pointerover_event", "pointerover")}} event</li>
</ul>
